Aller au contenu
Français

Création d'un dossier

POST/v1/mailboxes/{mailbox_id}/folders

Le dossier personnalisé est créé en IMAP et est disponible pour les autres clients de messagerie.

Zones d’autorisation et d’accès · Erreurs et répétitions

Demande

Fenêtre de terminal
curl -X POST 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/folders' \
-H 'Authorization: Bearer <access_token>' \
-H 'Content-Type: application/json' \
--data '{"name":"<name>"}'

Possibilités

mailbox_idpathNécessairement

integer

X-Customer-IDheader
Option 1

string

Option 2

null

Corps de la demande · application/json

object

nameNécessairement

string

minLength: 1

maxLength: 120

Les champs inconnus ne sont pas acceptés.

Réponses

201 Réponse réussie

application/json

object

name

string

401 Connexion requise

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object

403 Pas d'accès

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object

404 Ressource introuvable

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object

409 Conflit d'État

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object

422 Erreur de validation

application/json

object

detail

array

Éléments du tableau

object

locNécessairement

array

Éléments du tableau
Option 1

string

Option 2

integer

msgNécessairement

string

typeNécessairement

string

503 Indisponibilité temporaire

application/json

object

detail
Option 1

string

Option 2

object

code

string

message

string

Option 3

array

Éléments du tableau

object